Loading...
Searching...
No Matches
vkd3d_shader_parameter_info Struct Reference

Interface information regarding a builtin shader parameter. More...

`#include <vkd3d_shader.h>`

Collaboration diagram for vkd3d_shader_parameter_info:
[legend]

## Data Fields

enum vkd3d_shader_structure_type | type
| Must be set to VKD3D_SHADER_STRUCTURE_TYPE_PARAMETER_INFO.
const void * | next
| Optional pointer to a structure containing further parameters.
const struct vkd3d_shader_parameter1 * | parameters
| Pointer to an array of dynamic parameters for this shader instance.
unsigned int | parameter_count
| Size, in elements, of parameters.

## Detailed Description

Interface information regarding a builtin shader parameter.

Like compile options specified with struct vkd3d_shader_compile_option, parameters are used to specify certain values which are not part of the source shader bytecode but which need to be specified in the shader bytecode in the target format. Unlike struct vkd3d_shader_compile_option, however, this structure allows parameters to be specified in a variety of different ways, as described by enum vkd3d_shader_parameter_type.

This structure is an extended version of struct vkd3d_shader_parameter as used in struct vkd3d_shader_spirv_target_info, which allows more parameter types to be used, and also allows specifying parameters when compiling shaders to target types other than SPIR-V. If this structure is chained along with vkd3d_shader_spirv_target_info, any parameters specified in the latter structure are ignored.

This structure is passed to vkd3d_shader_compile() and extends vkd3d_shader_compile_info.

This structure contains only input parameters.

Since
  1.13

The documentation for this struct was generated from the following file:

- include/vkd3d_shader.h